=== debian/changelog ===
python-aioemonitor (1.0.5-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 10:46:03 +0200

python-aioemonitor (1.0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1078720)

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Aug 2024 21:18:50 +0200
