=== debian/control ===
Source: python-aioemonitor
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aioresponses,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-xmltodict,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioemonitor
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioemonitor.git
Homepage: https://github.com/bdraco/aioemonitor

Package: python3-aioemonitor
Architecture: all
Depends:
 python3-aiohttp,
 python3-xmltodict,
 ${misc:Depends},
 ${python3:Depends},
Description: asyncio library for SiteSage Emonitor
 This package provides an asyncio Python library for SiteSage Emonitor.
 .
 This package is a Home Assistant dependency.
