=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bdraco/aioemonitor.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v $(CURDIR)/aioemonitor/tests

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_fixperms:
	dh_fixperms
	# Remove /usr/bin/my_example
	rm -rf $(CURDIR)/debian/python3-aioemonitor/usr/bin
